using System;

namespace InABox.Core
{
    [UserTracking(false)]
    public class Login : Entity, IRemotable, IPersistent, ILicense<CoreLicense>
    {
        public UserLink User { get; set; }

        public string StationID { get; set; }

        public DateTime TimeStamp { get; set; }

        public override string ToString()
        {
            return $"Login(UserGuid:{User.ID},User:{User.UserID},Station:{StationID},Time:{TimeStamp})";
        }
    }
}